Subject: Re: bug#20543: 24.5; <SPC> in ispell-buffer accepts spelling for the whole line

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 May 2021 02:10:50 +0200

Marcin Borkowski <[email-masked]> writes:

>> line 3651 of emacs-24.5/lisp/textmodes/ispell.el:
>>
>>    ;; Do not recheck accepted word on this line.

I think there's two meanings of "accepted" in that function -- one is
hitting SPC, and the other is when the word is already in the dictionary.

>> This suggests that there might be a reason for that behavior. If this is
>> true, what is it?
>
> I've just seen this report.  I'm also very curious about that reason.

It seems nonsensical to me -- just because you accept the word once on a
line, it might not be acceptable in the next instance.  So I've changed
this in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no